import * as $dara from '@darabonba/typescript';
export declare class DeleteRouterInterfaceRequest extends $dara.Model {
    clientToken?: string;
    ownerAccount?: string;
    ownerId?: number;
    /**
     * @remarks
     * This parameter is required.
     */
    regionId?: string;
    resourceOwnerAccount?: string;
    resourceOwnerId?: number;
    /**
     * @remarks
     * This parameter is required.
     */
    routerInterfaceId?: string;
    userCidr?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
